# Partners API The ShipStation Partners API is designed to be a lightweight endpoint that provides partners with account provisioning and management tools. Used in concert with the Carrier Connect API, ShipStation API partners can completely white-label the ShipStation API experience provided within a custom-built application. The ShipStation Partners API is currently only available to developers or platform customers who have joined our ShipStation API Partner Program. If you would like to learn more about the Partner Program, please contact [partners@shipengine.com](mailto:partners@shipengine.com) ## What does the Partners API do? The Partners API was designed to be simple with only a few endpoints. Primarily, it allows you to: * Programmatically provision new ShipStation API accounts * Manage your ShipStation API account keys * Query your ShipStation API accounts * Enable/Disable your ShipStation API accounts Did we say it was simple? It's very simple! ## Managing Accounts Since the Partners API gives you the ability to create an account API key, you just create a ShipStation API key. Once you have a your API key, you can use our [ShipStation API documentation](/apis/shipengine/docs/getting-started/get-started) to start getting ship done! ## Get a Partner API Key To use the ShipStation Partner API, you'll need a Partner API key. Contact your account manager to get one. > **WARNING:** ### Keep Your Partner API Key Safe Once we issue a Partner API key, we can't see it again. That means it's up to you to keep it safe. If you lose your API key, we can deactivate it and create a new one for you. ## Using the API Key To use the ShipStation Partner API, you'll need to pass your Partner API key via the `Api-Key` header. ### Example We'll use the "who am I?" endpoint as a simple example. This endpoint is just a quick and easy way to verify that your Partner ID is valid. ```http GET /v1/partners/whoami HTTP/1.1 Host: api.shipengine.com API-Key: __PARTNER_API_KEY_HERE__ ``` A 401 response means your key isn't valid. An HTTP 200 response indicates that your key is valid and working properly. The response body will simply contain an integer, which is our internal ID for your account.